Subject: Re: [PATCH] ipv6: clear RTF_EXPIRES when call ip6_rt_copy

From: Gao feng <[email-masked]>
Date: Wed, 18 Dec 2013 10:09:34 +0800

On 12/18/2013 09:58 AM, RongQing Li wrote:
> On Wed, Dec 18, 2013 at 8:48 AM, Gao feng <[email-masked]> wrote:
>> On 12/17/2013 09:48 PM, Hannes Frederic Sowa wrote:
>>> On Tue, Dec 17, 2013 at 03:46:24PM +0800, Gao feng wrote:
>>>> The from of new cloned rt should not be set if it's impossible for the ort
>>>> to be expired.
>>>
>>> Actually, why do you think so? What could go wrong?
>>>
>>
>> I just don't want rt6_check_expired to check some impossible expired routes.
>>
> 
> What is wrong if we set from for new cloned rt by checking if ort has
> RTF_EXPIRES flag?

The RTF_EXPIRES flag may be changed by router advertisment package,
the ort may become expired after you hadn't set from for new cloned rt.

we should set from even this kind of ort doesn't have RTF_EXPIRES flag.